Autenticazione
Invia una chiave API come bearer token. Questo endpoint non specifica un permesso specifico nella specifica, quindi assegna alla tua chiave i permessi minimi necessari e verifica la risposta invece di fare supposizioni.
Questo endpoint non richiede alcun ID organizzazione. La tua chiave identifica già l'organizzazione a cui appartiene e la risposta è limitata ad essa.
Provalo
Sostituisci qualsiasi elemento tra parentesi angolari con i tuoi valori e il segnaposto key con una chiave dalla tua dashboard.
curl -X GET https://api.zinndigital.com/v1/plugins/{slug} \
-H "Authorization: Bearer zdk_live_…"Hai effettuato l'accesso? La console API nella tua dashboard inserisce il tuo ID organizzazione reale e la tua chiave personale, ed esegue la richiesta sull'API live in modo da poter vedere la risposta effettiva. Apri questo endpoint nella console API
Dettagli
Public and unauthenticated. A plugin we publish no release of is a `404`.
Parametri
| Nome | Tipo | Obbligatorio | Che cos'è |
|---|---|---|---|
slug (path) | string | Sì | The plugin's directory name and text domain, e.g. `zinn-cache`. |
Risposta
| Nome | Tipo | Obbligatorio | Che cos'è |
|---|---|---|---|
kind | string<wordpress_plugin, whmcs_module, hostbill_module, generic_client> | Sì | What this is, and therefore where it is installed. `wordpress_plugin` goes in `wp-content/plugins`; `whmcs_module` in a WHMCS install's `modules/servers/`; `hostbill_module` in… |
slug | string | Sì | The archive's directory name, e.g. `zinn-cache` or `zinn-whmcs`. |
name | string | Sì | — |
version | string | Sì | — |
package_sha256 | string | Sì | Lowercase hex SHA-256 of the archive. The value `downloadPlugin` returns in `X-Zinn-Package-SHA256`, and the one the plugin's own updater checks a download against before WordPr… |
package_bytes | integer | Sì | — |
requires_wp | string | No | — |
requires_php | string | No | — |
tested_wp | string | No | The WordPress version this release was installed and activated against before it was published — a real test on a real install, not an estimate. Empty means we have not stated o… |
changelog | string | No | — |
homepage | string | No | — |
distribution | string<public, app-only> | No | Who may download this plugin. `public` — anyone, no account needed, and it is also listed on https://zinndigital.com/wordpress-plugins. `app-only` — signed-in customers only; it… |
published_at | string | No | — |
Errori che questo endpoint può restituire
404 · 429